黒猫SPC 250101
2025/01/01

	・演奏設定に以下の変更をしました。

		・NoMainの設定を追加しました。
		  (メイン音量を無効にしてエコーのみ出力するオプション)

	・41568Kコアでも動作するためSPC_BPM.DLLの場所を変更しました。exeと同じ場所になります。(SPC_NOTE.DLLと同じ)
	  Sunburstコアの場所にあるものは削除して構いません。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.20.5 (build 8581))

黒猫SPC 240310
2024/03/10

	※DSP700の横サイズを拡張・レイアウト調整を行ったので今までのスキンと互換がありません※
	※main.bmp・parts.bmp共にサイズが変わっています※

	・DSP700に以下の変更をしました。

		・横サイズ変更による各所レイアウトの調整をしました。

		・鍵盤を2オクターブ分延長しました(最大がo7B -> o9B)

		・ch別表示とID666情報の切り替え状態をボタンで表示するようにしました。
		  ボタンを押しても切り替え可能です。

		・ch別表示とID666情報の切り替え状態を記憶するようにしました。

		・右上にBPM表示を追加しました(Sunburstコア専用で、コアと同じ場所にあるSPC_BPM.DLLを使用します)
		  SNES SPC700 Playerの「曲のテンポ (BPM) 推測機能」と同等です。
		  SPC_BPM.DLLが存在しない場合は常に0となります。

		・PLAYとSTOPの動作が逆になっていたのを修正しました。

	・演奏設定に以下の変更をしました。

		・DSP700にフォント設定を追加しました。下部のファイル名タグのフォントを変更できます。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.20.1 (build 8272))

黒猫SPC 231022
2023/10/22

	・演奏設定に以下の変更をしました。

		・NoPitchLimitの設定を追加しました。
		  (ピッチの最大値を0x3FFFから0xFFFFへ拡張する設定)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.20.0 (build 8227))

黒猫SPC 220806
2022/08/06

	・日本語以外の他言語で表示する機能を追加しました。
	  Langフォルダの中のiniをKuronekoSPC.exeと同じ場所にLang.iniとして置く事で各種メッセージ等が入れ替わります。
      文字コードはUTF-16LE(Unicode)で作成してください。Lang.iniが存在しない場合は日本語となります。

	・演奏設定に以下の変更をしました。

		・EnvSpdSyncの設定を追加しました。
		  (エンベロープの速度を演奏速度と同期するオプション)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.19.3 (build 7744))

黒猫SPC 200101
2020/01/01

	・メインウインドウ・お気に入り・DSP700で次の特殊キーに対応しました。(再生/停止・次曲・前曲)

	  イヤホンや各種機器等で操作できるかもしれません。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.18.0 (build 6694))

黒猫SPC 190511
2019/05/11

	・190501からDwm系の関数を使ったためにXPで動かなくなっていたのを戻しました。
	  (自力で呼ぶようにしました)

黒猫SPC 190501
2019/05/01

	・演奏設定に以下の変更をしました。

		・DSP700で一部10進数で表示している項目を16進数に変更する設定を追加しました。
		  [DSP700]というタブを新設して、チェックボックスをチェックした項目が16進数に表示が変わります。

		・[黒猫]タブにあったDSP700のスキン設定を[DSP700]タブに移動しました。

		・[黒猫]タブに[ダークモード]を追加しました。 ※次回起動後から
		  VCLのStyleを使った似非ダークモードなので、現状のWindows10(1809)より良い結果のダーク具合になりますが起動するまで1秒近く時間が余計にかかるようになります。
		  Windows10以外でもダークになり、Windows10上ではダークモードの設定の有効/無効に関係無く任意に変更できます。

黒猫SPC 180820
2018/08/20

	・破損/不正なXID6の読み込みで例外が発生したり不安定になる事への対策をしました。

	・お気に入りのボタン類にフォーカスが当たるように変更しました。(TABキーに反応するように)

黒猫SPC 180612
2018/06/12

	・タスクバーアイコンのヒントに再生中のファイル名を表示するように変更しました。

	・プレイリスト・お気に入りに以下の修正をしました。

		・180519からアーカイブを開く/解凍の際のエラーメッセージで書庫が開けなかった場合と、
		  アーカイバDLLの読み込みが出来なかった場合のメッセージが逆だったのを修正しました。

		・180519からアーカイブを開く/解凍の際に必要なDLLを形式に関わらず全部読み込んでいたのを修正しました。
		  (開いたアーカイブの形式以外のDLLまで読み込んでしまうので関係無いDLLのエラーでアーカイブが開けない、etc...)

	・お気に入りに以下の修正をしました。

		・[お気に入りでアーカイブも一緒に開く]が有効の際、アーカイブの中のファイル名まで追従するように変更しました。

		・[リスト順に再生]が有効ではない場合はタスクバーアイコンのプログレスゲージ表示をしないように変更しました。

黒猫SPC 180519
2018/05/19

	・立ち上げたままWindowsを終了させた場合に設定やリストが消える(または一部破損)場合があるのを修正しました。

	・DSP700に以下の変更をしました。

		・ファイルのドロップを受け付けるように変更しました。(メインへのドロップと同じ処理をします)

黒猫SPC 180101
2018/01/01

	・ポーズ中に停止させた場合に一瞬音が出るのを修正しました。

	・プレイリストに以下の修正をしました。

		・[お気に入りでアーカイブも一緒に開く]が有効の場合にプレイリストのウインドウが開いていない状態で
		  お気に入りからアーカイブを開くと例外が出ていたのを修正しました。

	・お気に入りに以下の変更をしました。

		・リスト順に再生時、再生中のファイルは必ず先頭行になるよう変更しました。

	・演奏設定に以下の変更をしました。

		・サウンドデバイスとサウンドバッファの変更は黒猫SPCの再起動後ではなく、次の演奏から有効になるよう変更しました。

		・WAV出力の際にテンポが200%だと出力に失敗するのを修正しました。

		・[説]でウインドウをを開いて、演奏設定側のＸで閉じると次に開く際に例外が出るのを修正しました。

	・DSP700に以下の変更をしました。(skin変更あり)

		・スペアナをステレオ化しました。

		・再生時間のシークバーのクリック範囲を若干広げました(縦幅が特に狭い感じがするので)

		・チャンネル別音量の部分をクリックした際にエリア右上の名前も変わるようにしました。

黒猫SPC 171022
2017/10/22

	・Windows10 Fall Creators Updateが適用された環境で、以下の条件でハングアップしてしまうのを修正しました。
	  関連付け起動、またはアイコン/ショートカット経由で次に再生したいファイルをドロップした

黒猫SPC 160902
2016/09/02

	・演奏設定に以下の修正/変更をしました。

		・[黒猫]タブに[関連付け設定]と[関連付け解除]を追加しました。Vista以降の「既定のプログラム」の一覧に登録します。
		登録だけで実際の関連付けは既定のプログラムの方で行ってください。
		レジストリに書き込みをするので登録と解除の時だけ管理者権限での起動が必要です。

黒猫SPC 160824
2016/08/24

	・お気に入りに演奏コントロールを付けました。

	・Windows8以降でウインドウ吸着がズレないように修正しました。

	・演奏設定に以下の修正/変更をしました。

		・[黒猫]タブの[お気に入りでアーカイブも一緒に開く]の項目が欠ける場合があったのを修正しました。

	・DSP700に以下の変更をしました。

		・チャンネルミュートの方法を拡張しました。
		  左クリック       -> 指定chをミュート
		  SHIFT+左クリック -> 指定ch以外をミュート
		  右クリック       -> ミュートを全て解除

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.17.7 (build 5616))

黒猫SPC 160508
2016/05/08

	・演奏設定に以下の修正/変更をしました。

		・WAV出力をする際に前回使用したフォルダが既に存在しない場合、出力フォルダの選択ウインドウが出ずに
		  出力ができなくなっていたのを修正しました。

		・[黒猫]タブに[お気に入りでアーカイブも一緒に開く]を追加しました。
		  オンにした場合、お気に入りからアーカイブ経由で演奏をすると、プレイリストの方でもそのアーカイブを開きます。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.17.6 (build 5490))

黒猫SPC 150101
2015/01/01

	・DSP700に以下の変更をしました(Skin変更あり)

		・ch別レベルメータ部の表示切り替えが3枚になりました。ゲージ表示、ch別詳細、ch別詳細残り+マスター+レジスタ表示になります。
		  切り替えはレベルメータのある範囲全体のどこかをクリックになります。
		  ADSRに関してはSunburst氏のSNES SPC700 Playerと同じ並びになってます。(Readmeに詳しく書いてあります)
		  BRRは復元時のフィルタ番号、レンジ番号です。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.17.1)

黒猫SPC 141121
2014/11/21

	・最新の7-ZIP32.DLLで、アーカイブ内でフォルダに含まれてるSPCを検出できなくなっていたのを修正しました。
	  (CABとRAR形式も予防的に修正してあります)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.17.1 BETA 3)

黒猫SPC 141104
2014/11/04

	・演奏設定に以下の修正/変更をしました。

		・ [使用するWaveOutデバイス]が機能していなかったのを修正しました。

黒猫SPC 140713
2014/07/13

	・DSP700に以下の変更を行いました。

		・ 140405からノイズ発声時にENVXゲージが動かなくなっていたのを修正しました。

黒猫SPC 140405
2014/04/05

	・Windows7以降のタスクバーアイコンのプレビューに再生や停止等のアイコンを追加しました。
	  メインウインドウの一部ボタンと同一の動作をします。

	・DSP700に以下の変更をしました(Skin変更あり)

		・XID6タグのAMP(XID6-2にあります)の値が5桁を超えた場合でも5桁までしか表示されてなかったのを修正しました。

		・ch別レベルメータ部が表示切り替え可能になりました。ゲージのみ表示と、数値+レジスタ表示になります。
		  切り替えはレベルメータのある範囲全体のどこかをクリックになります。
		  ch別レベルメータはch毎のdb(L/R)、ch毎の音量(L/R)です。マスターは以前と同じ並びです。

		・SPECTRUMのボタンを廃止、スペアナ全体のどこかをクリックがボタンの代わりになります。

		・鍵盤のENVXゲージ右端の数値表示を廃止しました(ch別レベルメータの切り替えで見れる為)

		・ピークホールドの表示を止めました。

黒猫SPC 140101
2014/01/01

	・Windows7以降のタスクバーアイコンへのプログレスバー表示に対応しました。
	  再生中の現在位置に応じて色が付きます。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.17.0 最新安定版 (build 4607))

	・SkypeのAPI廃止(2013/12)とLiveMessengerのサービス終了(2013/4/8)に伴って
	  [動作]->[MSN Messengerに反応させる]
	  [動作]->[Skypeに反応させる]
	  の機能を削除しました。

黒猫SPC 130324
2013/03/24

	・コンパイラをC++BuilderXE2からC++BuilderXE3に変更しました。
	  プロジェクトもC++BuilderXE3で新規に作り直して細かい設定の見直しをしました。

	・ポーズ中に終了した場合に終了できなくなる場合があるのを修正しました。

	・ID666、XID6の演奏時間の扱いを以下の通りに変更しました。
	  再生時間0秒 -> 標準の再生時間
	  再生時間未入力または異常 -> 標準の再生時間
	  フェード0秒 -> フェード無し
	  フェード未入力または異常 -> 標準のフェード時間
	  (まれに再生時間とフェードが0入力のSPCを見かけますが、このバージョンから再生時間は標準のが使われてフェードがかからなくなります)

	・演奏設定に以下の修正/変更をしました。

		・[Skypeに反応させる]を追加しました。(変更の反映は再立ち上げ後)
		  Skypeへ再生中の曲名、作曲者名を送信します。詳しい動作は条件は[MSN Messengerに反応させる]と同一です。

		・WAV出力時に前回指定したフォルダを記憶するようにしました。

		・WAV出力の[再生しながら録音]が動かなくなっていたのを修正しました。

	・DSP700に以下の変更をしました(Skin変更あり)

		・マスター音量、エコー音量、エコーディレイ、エコーフィードバックを数値としても表示するようにしました。
		  レジスタ表示の下になります。

		・演奏状態の上にシークバーを追加しました。バーをクリックでシークができます。
		  タグの再生時間(無い場合は標準の時間)で、フェードも足した総再生時間で100%となります。
		  (SNESAPUの仕様上、長い時間へのシークほど時間がかかります)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.16.1)

黒猫SPC 130101
2013/01/01

	・プレイリストとお気に入りに以下の変更をしました。

		・終了時の選択状況を記憶するように変更しました。

	・演奏設定に以下の修正/変更をしました。

		・ミュートと強制ノイズのチェックボックスの間隔を広げました。(誤チェック対策)

		・WAV出力時のフォルダ選択で、2回目以降は最初に選択したフォルダより上層フォルダが選択できなくなっていたのを修正しました。

		・無音検出期間を最大10秒から300秒に上限を変更しました。

	・DSP700に以下の変更をしました(Skin変更あり)

		・鍵盤上部のENVXゲージの右側に、ゲージではなく数値そのものも表示するように追加しました。

		・トラック番号の右に音色のエンベロープの状態とモードを表示するように追加しました。
		  SPCToolではADSRと纏められているのをさらに分けて表示するので殆どの場合はほぼSSTとしか見えないかもしれません。(サウンドドライバによります)
		  上段がADSRまたはGAINモード時の実際の状態、下段が現在ADSR/GAINモードどちらなのか、の表示になります。

		  上段 : DEC (Linear decrease / GAINモード時)
		       : EXP (Exponential decrease / GAINモード時)
		       : INC (Linear increase / GAINモード時)
		       : BNT (Bent line increase / GAINモード時)
		       : DIR (Direct setting / GAINモード時)
		       : REL (Release mode / ADSRモード時)
		       : SST (Sustain mode / ADSRモード時)
		       : ATK (Attack mode / ADSRモード時)
		       : DCY (Decay mode / ADSRモード時)

		  下段 :  GN (GAINモード)
		       :  AD (ADSRモード)

		・チャンネル別音量のマスター音量(L/R)、エコー音量(L/R)、エコーフィードバックの表示が負の値を考慮していなかったのを修正しました。
		  負の値(逆位相)の場合は色が変わるようになります。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.16.0)

黒猫SPC 120226
2012/02/26

	・[演奏設定]に以下の変更をしました。

		・Sunburstコア(v2.15.5 BETA 2以降)のLPF機能追加の為、
		  Sunburstコア使用時でも[SNESAPU]タブのAnalogチェックが付けられるように変更しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.15.5 BETA 2)

黒猫SPC 110812
2011/08/12

	・[演奏設定]に以下の変更をしました。

		・[黒猫]タブに[フォント設定]を追加しました。
		  プレイリスト、FRMの表示、お気に入りのフォントを変更できます。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.15.3 BETA 1)

	・他にも何か修正した覚えがあるんですが書き留めていなくて忘れましたorz

黒猫SPC 110101
2011/01/01

	・プレイリストに以下の変更をしました。

		・かなり前からプレイリスト登録されてあるSPCをお気に入りに追加できなかったのを修正しました。

		・アーカイブをプレイリストに登録しないで直接開いた状態でお気に入りに追加できなかったのを修正しました。

	・アイコンを変更して高解像度対応のものに差し替えしました。(32x32の他に48x48,96x96,256x256を同梱)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.14.5)

黒猫SPC 100605 (SNESAPU差し替えのみ)
2010/09/05

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.14.3)

黒猫SPC 100605
2010/06/05

	・コンパイラをC++Builder6からC++Builder2010に変更しました。
	  コンパイラの変更で以下の対応、挙動の変化があります。

		・Vista/7からの「ファイルを開く」等のダイアログがネイティブなものに変化

		・Vista/7からのFlip3Dでの表示に対応

		・7からのタスクバー上でのウインドウ選択に対応

		・プレイリスト、お気に入り、iniファイルの文字コードが従来のSJISからUTF-16LEに変わっています。
		  下記のファイルを一度消すか、もしくは何かのテキストエディタで文字コードをUTF-16LEにして上書きしておいてください。
		  KuronekoSPC.ini
		  KuronekoSPC.spf
		  KuronekoSPC.spl
		  そのまま起動した場合、終了時に中身が破損します。

	・[演奏設定]に以下の変更をしました。

		・ミュート/ノイズの全ON、全OFF、反転の機能を以下に置き換えました。
		  全ON  : 左のラベル上で左クリック
		  全OFF : 左のラベル上で右クリック
		  反転  : 左のラベル上でSHIFT+左クリック or マウス中ボタンクリック

		・テンポが100%なのに99%と表示される場合があるのを修正しました。

		・ID666、XID6のタグエディタの作成月日に現在の年月日を自動で入力する[!]ボタンを付けました。

	・アンチウイルスソフトの誤検知の元になるため、UPXによるEXEの圧縮を止めました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.14.2 BETA 1)

黒猫SPC 100104
2010/01/04

	・DSP700に以下の変更をしました。

		・デフォルト状態での表示フレームレートを現在の約30fpsから約60fpsへと引き上げました。
		  (デフォルトでInterval=9)
		  以前と同じ状態に戻す方法はreadme.txtに書いてあります。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.14.1)

黒猫SPC 090902
2009/09/02

	・[演奏設定]に以下の変更をしました。

		・Sunburstコア(v2.13.5 BETA 4)で新設された「各チャンネルの強制ノイズ機能」設定に対応しました。
		  強制的に指定のチャンネルをノイズ発声に切り替えます。

		・ミュートの全ON、全OFF、反転のボタンの代わりにチェックボックス上で右クリックにて
		  メニューを表示するように変更しました。(ノイズも同様)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.14.0)


黒猫SPC 090613
2009/06/13

	・[演奏設定]に以下の変更をしました。

		・[MSN Messengerに反応させる]を追加しました。(変更の反映は再立ち上げ後)
		  MSN(Live!)Messengerへ再生中の曲名、作曲者名を送信します。
		  詳しい動作は条件はreadme.txtの[MSN Messengerに反応させる について]を見てください。

	・不正なXID6への対策方法を変更しました。

	・XID6の読み込みで最後に位置するタグが読み込めない場合があるのを修正しました。

黒猫SPC 090503
2009/05/03

	・お気に入りで[リスト順に再生]のチェックを付けた場合、お気に入り以外からの全ての再生に指定時間での再生が
	  されてしまうのを修正しました。
	  (本来は指定時間での再生はお気に入りからの再生のみ)

	・再生時間に0秒の指定がされている場合は標準の再生時間を使用するように変更しました。

	・[遅]と[速]でのテンポ変化量をそれぞれ-25%〜+25%へ変更しました。
	  (今までは-50%〜+100%)

	・[遅]と[速]でのテンポ変化が演奏設定の方に反映されるように変更しました。

	・演奏設定でPitchの文字をダブルクリックしてデフォルトに数値を戻す際、
	  音階毎の変更も0に戻るように変更しました。

	・終了時にKuronekoSPC.ini,spl,spfに読み込み専用のチェックが付いている場合は保存の動作をしないように修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.13.4)

	・不正なXID6が存在するSPCの読み込みで異常動作するのをなるべく抑えました。

黒猫SPC 090211
2009/02/11

	・[XID6無効]のチェック状態を一度でも変更しない場合はXID6が保存されていなかったのを修正しました。

黒猫SPC 090123
2009/01/23

	・WAV出力に以下の変更をしました。

		・090115の修正で[お気に入りで選択されてるものを連続録音]を選んだ際に再生時間が
		  1曲目のもので全て出力されていたのを修正しました。

黒猫SPC 090121
2009/01/21

	・欠番

黒猫SPC 090115
2009/01/15

	・090102の修正でrar書庫で画像の表示が出来なくなっていたのとcab書庫が読み込めなくなっていたのを修正しました。

	・WAV出力に以下の変更をしました。

		・タグの再生時間を参照する場合、SPCのロード時ではなく現在入力されているタグの方を参照するように変更しました。

		・再生時間が0秒の場合にWAV出力をしないように変更しました。

黒猫SPC 090102
2009/01/02

	・SPCが一つも含まれていないアーカイブ読み込むとアーカイブモードからプレイリストに戻れなくなるのを修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.13.0)

黒猫SPC 081122
2008/11/22

	・演奏設定のPitchの右端に音階単位での変更ができるようにボタンを追加しました。

	・[ぽ]で一時停止中に曲の切り替えや[停]を押すと動作がおかしくなるのを修正しました。

黒猫SPC 081013
2008/10/13

	・Sunburstコア(v2.12.7 BETA 2)で新設された「サラウンド無効」設定に対応しました。(NoSurround)
	  テイルズやスターオーシャン等で多用されている逆位相パンを無視します。
	  このオプション有効時にSurroundのチェックを付けるとSunburstコア独自のサラウンドがかかります。

	・DSP700に以下の変更をしました。

		・マスター音量の右隣を拡張してマスターに関するパラメータの表示に対応しました。
		  左から順に

		  マスター音量L
		  マスター音量R
		  エコー音量L
		  エコー音量R
		  エコーディレイ
		  エコーフィードバック

		  になっています。音圧では無いのでピーク表示や減衰表示はありません。
		  skinも変更になり、スペアナ用ゲージの右隣に追加でゲージが増えています。

		  マスター音量LR
		  エコー音量LR
		  エコーディレイ
		  エコーフィードバック

		  の4本です。

		・マスター音量周りの変更の為、レジスタ表示を右側へ少し詰めて一部の場所を変更しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.7)

黒猫SPC 080831
2008/08/31

	・DSP700に以下の変更をしました。

		・チャンネルミュート(チャンネル番号部分をクリック)を、
		  鍵盤部分をクリックに変更しました。

		・逆位相時にRLとRRが逆に表示される場合があったのを修正しました。

		・鍵盤部右上の空きゲージの部分をパン表示に割り当てました。
		  真ん中をセンターとして左右に振れます。逆位相時は表示が反転します。
		  (skinでの該当はENVXゲージの上に新設したゲージ2本になります)

		  音色の標準音量は不明なので実際の振れ方と耳での聞こえ方に差が出ます、参考程度にして下さい。
		  (少ないVLとVRの差でも大きく振れるようにバイアスをかけてます)

		・skinのコピーライト名を変更しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.6)

黒猫SPC 080420
2008/04/20

	・お気に入りに以下の修正をしました。

		・演奏の際、ファイルがRARの場合に解凍状況のダイアログが出るのを修正しました。

		・[リスト順に再生する]のチェック状態を記憶するように修正しました。

	・ID666、XID6が存在しないSPCを読み込んだ際にID666無効、XID6無効のチェックが付かないのを修正しました。

	・ID666の再生時間にXID6と同じ現在の再生時間取得[!]のボタンを追加しました。

	・XID6の再生時間取得[!]で時の単位を反映していなかったのを修正しました。

	・[演奏設定]に以下の変更をしました。

		・最新のSunburstコアによる追加オプションに対応しました。
		  NoNoize (ノイズを使用しない)
		  EchoMEM (エコー用の作業領域を確保して常に書き換えを行う)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.4)

黒猫SPC 071231(2)
2008/02/10

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.2)

黒猫SPC 071231
2007/12/31

	・拡張タグ(XID6)の読み込み中に仕様外のタグIDが来たら取得をそこで中止するように変更しました。(ゴミ/不正XID6対策)
	　(場合によってはどうしても誤爆します)

	・[遅]で再生時にDSP700で音量とスペアナの描画がクリアされない状態になるのを修正しました。

	・DSP700のMUSCIFILEの項目と演奏設定のScript700の表示で、非アーカイブからの再生時のみ、
	　spcと同名の個別のscript700があっても65816.700(7SE)を表示してしまうのを修正しました。
	　(表示だけで、実際に読み込まれているのは個別の方です)

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.0a)

黒猫SPC 071102
2007/11/02

	・DSP700に2倍サイズ描画を追加しました。(SPECTRUMボタンの隣の2xボタン)
	  フルHDに近い解像度等でDSP700が小さすぎて見てられない等、そういう場合に使って下さい。
	  単純に2倍に拡大するので1270x670の大きさになります。
	  ボタンを追加した為、skinの該当部分にも追加があります。
      はみ出して[2x]が押せなくなった場合、そのまま終了してKuronekoSPC.iniの[DSP700]セクションの、
      Stretch2を0にして立ち上げ直せば戻ります。

	・DSP700でポーズ中にウインドウの上を他のウインドウで遮ったりして再描画した場合、
	  スペアナの帽子とチャンネル別音量が動いてしまうのを修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.12.0 BETA 4)

黒猫SPC 071001
2007/10/01

	・プレイリストに以下の変更をしました。

		・[モード切り替え]を[モード/表示]に変更、切り換えをメニューの中に入れました。

		・[モード/表示] -> [FRMと画像の表示をしない]を追加しました。
		 プレイリスト上でFRMと画像を非表示にして目一杯リスト表示にします。画像やFRMの表示が不要な人向けです。
		 この時のみプレイリストの最小高、最小幅のリサイズ制限も解除されます。

	・[演奏設定]に以下の変更をしました。

		・拡張ID666対応の絡みでフォームが若干大きくなりました。

		・[黒猫]タブと[デバイス]タブを一つに纏めました。

		・音量の初期値を16にしました。ダブルクリック時も16になります。

		・WAVタブの再生時間とフェードの数値を[黒猫]タブへ移動しました。
		 (WAV出力に限らず使われる為)

		・タグエディタを大幅変更、拡張タグ(XID6)の読み書きにも対応しました。
		 XID6で黒猫側で実際に演奏に影響があるのはミュートと再生時間関係です。
		 (再生時間はトータルの時間とフェードという形で使います)

		・タグの書き込みの再、今までは上書きの形を取っていたのを、予めタグ領域をゼロクリアした後に書き込むように変更しました。

		・フェード速度の指定を最大4桁から5桁に変更しました。

		・Sunburstコア使用時はAnalogの項目をチェック不可にするようにしました。

		・SNESAPUの設定に[NoEnv]を追加しました。(Sunburstコア限定 v2.11.9 BETA 1から)
		 発音時にエンベロープを無視します。

	・[演奏設定]の[WAV]タブに以下の変更をしました。

		・[曲頭の無音]を追加しました。
		 WAV出力時に先頭部分に指定の秒数だけ無音を挿入します。

		・出力フォルダを記憶するように変更しました。

		・WAV録音、お気に入りの連続再生に使う再生時間の優先順位が以下のように変更しました。
		 順次、入力されていた場合はそれを使います。
		 XID6(トータル - フェード) -> ID666 -> デフォルト設定

	・DSP700に以下の変更をしました。

		・描画負荷をさらに軽減しました。

		・[絵]で開いて、DSP700側の[X]で閉じると描画がされなくなるのを修正しました。

		・ウインドウを閉じたままSPCを演奏してDSP700を開くとID666の部分が描画されないのを修正しました。

		・拡張ID666対応に伴いID666タグ表示部分を3ページ切り換えにしました。
		 右端のタグ表示分の上の[ID666]の部分をクリックする事でID666 -> XID6-1 -> XID6-2とループします。
		 この都合でスキンも変更になりました。パーツの配置が変わったりしていて互換が無いので注意して下さい。
		 全体の大きさも変わってます。

		・全スキンでレベルメーター側の音色番号とキーコードの表示位置が下に1ドットずつズレいていたのを修正しました。

		・下方向に若干大きくなりました。

		・DSPのミキサー音量を表示するようにしました。

		・Script700の使用の有無を表示するようにしました。

		・停止中でも音量、ミュートやタグページの切り換えができるように変更しました。

		・停止の際の画面クリアでENDXがクリアされていなかったのを修正しました。

		・MUSICFILEの項目に、使用中のscript700があればそのファイル名も表示するように変更しました。

	・黒猫自体のプロセス優先度を通常に変更しました。(今までは高)

	・メインウインドウとDSP700にフォーカスがある状態でマウスホイールの回転で音量を調節できるように変更しました。
	 1回転につき[演奏設定]のVolumeを1ずつ増減します。

	・RAR(*.rar, *.rsnとか)からの演奏の際、解凍ダイアログを出さないように変更しました。

	・Script700の読み込みの際、*.7SEも検索するように変更しました。

	・お気に入りのランダム再生にMersenne Twisterを使うように変更しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.11.9 BETA 1)

	・Windows9x/ME環境で関連付け起動やアイコンにドロップでの起動の際にファイル名がショートファイル名として
	 扱われるのを修正しました。

黒猫SPC 070728
2007/07/28

	・コンパイラをC++Builder3から6へ変更、一部WindowsXPのビジュアルスタイルに対応しました。

	・演奏設定のSNESAPUページで一部タブ順がおかしかったのを修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.11.6)

黒猫SPC 070403
2007/04/03

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.11.5)
	 今回からコアに新設された「イヤーセーフ機能解除」を演奏設定に追加しました。
	 (NoEarSafe)

	・DSP700のキーボード右端上の各種インジケータの右端にENDXの表示を追加しました。
	 Sunburstコアのみ正常に表示されます。(他コアは常時付きっぱなしになります)

	・演奏設定にNoScript700を新設しました。
	 チェックを付けた後からの演奏は、Script700が使える状態であっても使用しなくなります。

黒猫SPC 060923
2006/09/23

	・DSP700に以下の変更をしました。

		・停止中に描画をしないように変更しました。

		・描画負荷をそれなりに軽くしました。

		・skinの中身と構造が変更になり、skin.iniが不要になりました。
		 Default2というスキンをテストで入れてあります。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.11.0)
	 今回からコアに新設された「BASS BOOST (低音強調) 」を演奏設定に追加しました。
	 (BassBoost)

	・ID666の作成元にSNESGTを追加しました。

黒猫SPC 060729
2006/07/29

	・お気に入り(*,spf)の内部フォーマットを変更しました。
	 区切りがカンマから「<>」に変更になっただけなので、既存のものは一括置換等すればそのまま使用できます。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。v2.10.2 (2.10.2.2)
	 今回からコアに新設された「計算式でガウス テーブルを作成するガウス関数補間」を演奏設定に追加しました。
	 (Gaussian2)

	・DSP700で音階のデチューン値を表示するようにしました。

	・DSP700の鍵盤表示で、できるだけ正確な音階を表示するようにしました。
	 音色次第でズレますし、100%正確を保証するものではありません。目安と思って下さい。
	 詳しい事はreadme.txtのDSP700の項目を見て下さい。

	・SPCのフェードの値を4桁で処理していたのを修正しました。

黒猫SPC 060604
2006/06/04

	・DSP700というグラフィカルなインジケータウインドウを付けました。[絵]のボタンです。
	 操作方法等はreadme.txtを参照して下さい。

	・アーカイブで画像を表示できる条件が整っている際に指定のSusieプラグインが無いとエラーが出て、
	 それ以降アーカイブが開けなくなるのを修正しました。

	・演奏設定のサウンドバッファが長さから個数に変化、iniでの名前も変えたので新規値扱いになってます。
	 デフォルトで息切れしないのであればそのままで良いと思います。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.10.0)

黒猫SPC 060408
2006/04/08

	・お気に入りに以下の修正をしました。
	 ・リスト順に再生中、PCに触れないままにしておくと曲が切り替わらなくなる場合があったのを修正しました。
	 ・登録が0件の場合にリスト順に再生をすると例外が出るのを修正しました。
	 ・登録が1件でリスト順に再生する場合[ランダム再生]にチェックが入っているとデッドロックするのを修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.9.2)

黒猫SPC 060306
2006/03/06

	・演奏設定のミュートにALL ON、ALL OFF、REVを付けました。全ON、全OFF、現状の反転になります。

	・お気に入りで[ファイル]->[名前を付けて保存]が、
	 既に存在するファイルに上書きでしか書き込めないようになっていたのを修正しました。

	・SNESAPUのSunburstコアを最新版へと差し替えしました。(v2.9.1a)

黒猫SPC 060108
2006/01/08

	・使用するSNESAPUを切り替え可能にしました。
	 SNESAPUフォルダにそれぞれ3つコアが入っています。切り替えは再起動時から有効です。
	 今までの本体と同じフォルダにあるSNESAPU.DLLは削除しても構いません(使用されません)

	 詳しくはreadme.txtを読んで下さい。

黒猫SPC 060102
2006/01/02

	・SNESAPUをSunburst氏作のサードパーティ用へ切り替えました。41568K氏のSNESAPUは別フォルダに入っています。
	 本家、41568K氏のコアに比べて以下の修正がされています。

	 ・ReverseStereoが効かないバグの修正
	 ・ループしないで終了するSPCにおいて終了後に異常な負荷を示す問題の修正(黒猫側でも対策してあります)
	 ・特定の曲でエコーが原因で特定箇所で異常な負荷を示す問題の修正
	 ・NoModPitch、NoChangePicth、NoFIRの追加の演奏設定のサポート

	 41568K氏のコアに比べてscript700部はあくまでも互換ですが、一般的なscriptでは問題ありません。
	 (自HPにある[特殊なSPCについて]に書いてあるscriptは全て両方のコアでテスト済です)
	 Pコマンド等、非対応のコマンドを使う際には41568K氏のコアを使って下さい。

	・WAV録音に、[再生しながら録音]を追加しました。
	 旧黒猫と同じような、再生しながらのリアルタイム録音になります。
	 使い方はreadme.txtを見て下さい。


黒猫SPC 051127
2005/11/27

	・プレイリストのリストモード時に一番上のファイルが削除できないのを修正しました。

	・WinAMPDSP(dsp_enh.dll)を必ず可視状態で立ち上げる機能を削除しました。
	 代わりに設定の[黒猫]タブに[WinAMPDSP設定]というボタンを追加してあります。
	 dsp_enh.dllが見えない状態での設定はボタンを押すとウインドウが出ます。

黒猫SPC 050521
2005/05/21

	・各種設定の[黒猫]を、[黒猫]と[デバイス]に分けました。

	・Windows9x環境で演奏停止時にデッドロックする場合がかなりあったのを修正しました。
	 環境によってはまだロックする場合があるみたいですがかなり改善されてると思います。
	 WinAMPのDSPを挟んだ場合の高レート再生時の息切れも改善されてます。

	・SNESAPUがループしないSPCで演奏終了時しばらく後に負荷100%になるので、設定秒数無音が続いたら、
	 停止をかけるように修正しました。設定は[黒猫]タブの[無音検出期間]です。

	・[遅][速][ぽ]が停止時にも押せてしまうのを修正しました。

	・タスクトレイアイコンが原因で落ちる場合があるのでとりあえず周りの機能を削除しました。
	 原因不明です。

	・お気に入りの連続再生を追加しました。かなり簡易的なものです。
	 詳しくはReadme.txtを参照して下さい。

	・おまけとしてReadme.txtに隠しておいた、再生にWinAMPのDSPを挟む方法を解禁しました。
	 詳しくはReadme.txtを参照して下さい。

黒猫SPC 050203
2005/02/03

	・WAV録音周りの改良です。

	 ・お気に入りからの連続録音等を追加しました。
	 ・録音中にボタン操作ができてしまったのも修正しました。
	 ・出力ファイル名が元のspcファイルを.wavとした名前で固定になり、保存先はフォルダ指定になりました。

	・050110の音声出力方法の変更によって、Hyper-Threadingの可否を問わず新たに曲停止時にデッドロックする環境があるのが発覚しました。
	 対策と検証を考えてますので、今暫くお待ち下さい;-;

黒猫SPC 050110
2005/01/10

	・Hyper-Threading環境でデッドロックするのを修正しました。

	・プレイリストのアーカイブモードに*.txtも表示するようにしました。(リストの最上段に出ます)
	 ダブルクリックで関連付けされてるエディタで表示します。

黒猫SPC 040717
2004/07/17

	・各種設定の[黒猫]タブに[タスクトレイアイコンを使用しない]を新設しました。
	 チェックを付けると、使用しなくなります。

	・関連づけ起動や「送る」からの起動でSPC以外もSPCとして読み込んでしまうのを修正しました。

黒猫SPC 040711
2004/07/11

	・ID666を書き込む際、SPC作成元を数値で書き込んでいたのを修正しました。

	・ID666のSPC作成元にUnknownとSNES9Xppを追加しました。

黒猫SPC 040709
2004/07/09

	・真・黒猫SPCから改めて初版。

------------------------------------------------------
黒羽製作所
https://kurohane.net/
kurohane@kurohane.net
